### Method

# Gck Object get_data

#### Declaration [src]

    guchar*
    gck_object_get_data (
      GckObject* self,
      gulong attr_type,
      GCancellable* cancellable,
      gsize* n_data,
      GError** error
    )

#### Description [src]

Get the data for the specified attribute from the object. For convenience the returned data has a null terminator.

This call may block for an indefinite period.

#### Parameters

`attr_type` | `gulong`
| The attribute to get data for.
`cancellable` | `GCancellable`
| A `GCancellable` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`n_data` | `gsize*`
| The length of the resulting data.
| The argument will be set by the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | An array of `guchar`
| The resulting PKCS#11 attribute data, or `NULL` if an error occurred.
| The length of the array is in the `n_data` argument.
| The caller of the method takes ownership of the data, and is responsible for freeing it.